#include <iostream>
#include <algorithm>
#include <string>
using namespace std;

void sudar(string x, string y) {
    reverse(x.begin(), x.end());
    reverse(y.begin(), y.end());
    string z;
    int j=0;
    for(int i=0; i < max(x.length(), y.length()); i++)
    {
            if((int)x[i]==(int)y[i]){
                z.resize(z.length()+2);
                z[i+j]=x[i];
                z[i+1+j]=x[i];
                j++;
            } else {
                z.resize(z.length()+1);
                z[i+j]=(char)max((int)x[i], (int)y[i]);
            }
    }
    reverse(z.begin(), z.end());
    cout << z;
}

int main()
{
    string x,y,z;
    cin >> x >> y;
    sudar(x,y);
    return 0;
}